Search found 71 matches

Go to advanced search

by shinwu
Wed Dec 09, 2015 5:47 am
Forum: Help on using FreeCAD
Topic: Rotate Dimension text
Replies: 4
Views: 1091

Re: Rotate Dimension text

Hi,jmaustpc:
Thank you for your quick reply.
Now my freecad dimension text(3D Mode) already like your post image.
But I want to rotate dimension text like image on the right.
Please see attached image.
Thank you for your support.
2.jpeg
2.jpeg (62.22 KiB) Viewed 1043 times
by shinwu
Tue Dec 08, 2015 7:21 am
Forum: Help on using FreeCAD
Topic: Rotate Dimension text
Replies: 4
Views: 1091

Rotate Dimension text

Hello,
I wish to rotate Dimension text,when I changed Display Mode= "3D".
Please see attached image.
Thank you all and have a nice day.
1.jpeg
1.jpeg (43.09 KiB) Viewed 1091 times
by shinwu
Sat May 23, 2015 9:17 am
Forum: Python scripting and macros
Topic: How to change shortcut without restart freecad?
Replies: 0
Views: 622

How to change shortcut without restart freecad?

Hi, When I calling the function from Python: FreeCAD.ParamGet('User parameter:BaseApp/Preferences/Shortcut').SetString('Std_ViewLeft','none') Std_ViewLeft- Current shortcut still 6 no change to 'none' , I must be restar FreeCAD ,then Std_ViewLeft- Current shortcut will change to 'none'. How to chang...
by shinwu
Tue May 12, 2015 3:26 am
Forum: Help on using FreeCAD
Topic: How do I cancel undocked shortcut?
Replies: 2
Views: 622

Re: How do I cancel undocked shortcut?

Hi Mark:
Thank you!

I want to reset Document window-Udocked shortcut(U -> none),
but I can't find it in Customize-Keyboard(see Q2.jpeg),
So I can't press new shortcut to reset it.
Please help,thanks!
Q1.jpeg
Q1.jpeg (40.39 KiB) Viewed 585 times
Q2.jpeg
Q2.jpeg (38.14 KiB) Viewed 585 times
by shinwu
Mon May 11, 2015 8:06 am
Forum: Help on using FreeCAD
Topic: How do I cancel undocked shortcut?
Replies: 2
Views: 622

How do I cancel undocked shortcut?

Hi all:
How do I cancel undocked shortcut?
by shinwu
Tue Apr 28, 2015 1:52 am
Forum: Python scripting and macros
Topic: The scrip can't perpendicularly to the latest point.
Replies: 0
Views: 591

The scrip can't perpendicularly to the latest point.

Hi, all: I made simple Python scrip to measure distance. I use FreeCADGui.Snapper.snap(mousepos,active=ctrl) to get point, but can't perpendicularly to the latest point. How do I do? Please help,Thanks. import FreeCADGui,Draft import FreeCAD as App from pivy.coin import * class distance(): def __ini...
by shinwu
Fri Apr 24, 2015 7:14 am
Forum: Python scripting and macros
Topic: How to get direction of a line
Replies: 7
Views: 1974

Re: How to get direction of a line

Thank you for your help,I've Found The Solution. :P
by shinwu
Thu Apr 23, 2015 9:40 am
Forum: Python scripting and macros
Topic: How to get direction of a line
Replies: 7
Views: 1974

Re: How to get direction of a line

Hi ickby :
Thank you for your answer,
I tried many methods,can not find a method to get the one between the vectors when they are connected at their starting points.
So I don't know "angle" or "180°- angle",
Please help,thank you!
by shinwu
Thu Apr 23, 2015 8:44 am
Forum: Python scripting and macros
Topic: How to get direction of a line
Replies: 7
Views: 1974

Re: How to get direction of a line

Hi, wmayer: Thank you for your help, But I use this scrip to measure angle between two edges, A-angle is wrong and B-angle is right(Please see Q1.jpeg). How to solve this problem? Please help,thank you! import math import FreeCADGui as Gui import FreeCAD import FreeCAD as App class Protractor: """Re...
by shinwu
Tue Apr 21, 2015 8:41 am
Forum: Python scripting and macros
Topic: How to get direction of a line
Replies: 7
Views: 1974

How to get direction of a line

How to write a scrips to get the direction of the two lines are the same or different.

Go to advanced search